extends Resource
class_name Alarm

export(bool) var active = true # Alarm on or off
export(Resource) var moment = Moment.new() # Time when its supposed to go off
export(bool) var snooze = true # If alarm is snoozable

export(bool) var speak_time := true
export(bool) var play_music := true
export(bool) var override_weather_music = false
export(Constants.WEATHER) var weather_music = Constants.WEATHER.SUNNY
